package org.apache.commons.lang3.text;

package .tmp;

import org.apache.commons.lang3.text.StrLookup;

class SystemPropertiesStrLookup extends StrLookup<String> {
  private SystemPropertiesStrLookup() {}
  
  public String lookup(String key) {
    if (!key.isEmpty())
      try {
        return System.getProperty(key);
      } catch (SecurityException securityException) {} 
    return null;
  }
}
